"Create repository" button hiding is too restrictive
Status: Open Start date: 30 May 2011

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

Create a project without automatic repository creation

Add it a repository through ulterior configuration, with an “invalid” location (from the plugin’s point of view), eg. by not respecting

the format (subdirs... ) (click on “save” instead of “create repo”)

Fix the location to make it respect the format

Location is OK, doesn’t exist; the “create repo” button doesn’t show up though

Maybe you should only rely on repository location respecting format, and really being accessible, to hide button (and not on the only

fact that location is configured)?

History

#1 - 30 May 2011 16:32 - Jean-Sébastien Bour

Maybe you should only rely on repository location respecting format, and really being accessible, to hide button (and not on the only fact that

location is configured)?

 

That’s really unclear (and even wrong on the “accessible” part), I should’ve better proofread 

I mean :

now the button is displayed if and only if the repository isn’t configured

I think it should also be displayed if a location is configured BUT doesn’t exist on disk (while respecting format, of course)

#2 - 30 May 2011 16:44 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Got the idea, thanks!

#3 - 31 May 2011 09:37 - Andriy Lesyuk

- Target version set to 0.1.0
#4 - 01 Jun 2011 15:45 - Andriy Lesyuk

- Target version deleted (0.1.0)

Found that this is perhaps not a trivial task... So postponing it.
